Page MenuHomePhabricator

Delete unused and empty workboards database-side
Closed, DeclinedPublic

Description

As https://secure.phabricator.com/T7410 is not going anywhere, it's necessary to delete empty/unused workboards server-side, to declutter phabricator.wikimedia.org and make it more performant.

  • Devise DB query to list workboards which have 100 % items in the "backlog" column.
  • Identify DB query or server-side command to delete workboards.
  • Proceed to delete the workboards.
  • Figure our a smarter query to also list workboards which have less than X (1?) item in their "history", including column renames/additions and column changes.
  • Disable, rather than delete, the workboards which are unused but may contain some data
  • Make the project details default menu item for all the projects where the workboard is the default item but has been deleted or disabled

See also: T89865: Phabricator project page should not default to workboard, T127903: Projects should have an "Open Tasks" view by default

Event Timeline

Nemo_bis created this task.Jul 15 2015, 9:06 AM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a project: Phabricator.
Restricted Application added subscribers: scfc, Aklapper. · View Herald TranscriptJul 15 2015, 9:06 AM

Not sure what "declutter" exactly means here and how the current "cluttered" situation creates a specific issue when working with Phabricator.

Does "more performant" only refer to workboards taking a longer time to load than project descriptions (shown when no workboard has been set up yet), or also other performance issues I'm not aware of?

Aklapper triaged this task as Lowest priority.Aug 21 2015, 11:10 PM

Proposing to decline this task (and no feedback to last questions) as I'm missing reasons important enough to spend time on this.

Halfak added a subscriber: Halfak.Dec 23 2015, 3:50 PM

I just added my own workboard problem as blocked by this. I'd say this is important enough to work on. It makes navigating phab a pain to constantly be shown tiny, unused workboards rather than the project documentation pages that I have spent so much time writing and formatting!

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptDec 23 2015, 3:50 PM
greg added subscribers: epriestley, greg.EditedJan 22 2016, 4:43 PM

From upstream. It appears our collective fatalistic thinking isn't right, there is movement on this issue. :P

After D15093, this should be a little better:

  • Explicit Default Content: Project default content (profile vs workboard) is now explicit, so you can switch it back to "profile" if it's set to something else.
  • Explicit Prompt: Creating a workboard now explicitly prompts you to make the workboard the default content view for the project. This should make that particular effect less surprising and more obvious.
  • Hide Workboard Item: You can now hide the workboard menu item completely if you want, reducing the chance anyone will stumble into it.

There is still no way to hide the "(Backlog)" column flag on tasks if a workboard was created that doesn't make sense (or no longer makes sense). I plan to add a "Disable Workboard" workflow which will mostly pretend no one ever created the workboard in the first place and hide the "(Backlog)" flag, but may not get to that immediately.

The upstream is sympathetic to the problems in tasks like https://secure.phabricator.com/T7410 and https://secure.phabricator.com/T6642, I'm just very reluctant to solve those problems by adding mechanisms for permanently destroying data.

This task just got resolved upstream (thanks!!) via https://secure.phabricator.com/D15093 and https://secure.phabricator.com/D15215 , allowing to disable the workboard of a project.

Since our latest upgrade, workboards can be disabled / removed.

If we want to find all projects which have workboards with only one column in place, someone with DB access could run:

SELECT project.name FROM project_column JOIN project WHERE project.phid = project_column.projectPHID AND project.status != 100 GROUP BY project_column.projectPHID HAVING count(project_column.id) = 1 ORDER BY project.name;

Whether to go ahead and disable those workboards in Wikimedia Phabricator is the next (social) question.

Krinkle removed a subscriber: Krinkle.Apr 20 2016, 3:59 PM
Aklapper claimed this task.Apr 29 2016, 8:55 AM

FYI, I created https://gerrit.wikimedia.org/r/#/c/286133/ so I could get a list of active projects with only one workboard column and potentially clean them up.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 29 2016, 8:55 AM
Dzahn added a subscriber: Dzahn.Apr 29 2016, 7:54 PM

merged and tested. you should have received mail.

here's the result:

PROJECT WORKBOARDS WITH A SINGLE COLUMN ONLY:
name
Abuse-Report
Access Policy - Approvers
acl*phabricator
Adminbot
Analytics-Dashiki
Analytics-Features
Analytics-General-or-Unknown
Analytics-Wikistats
Annual-Report
Apex
at-ease
Beta-Cluster-reproducible
Beta-Feature
BiblioPlus
Blocked-on-Analytics
Blocked-on-Editing
Blocked-on-Language
Blocked-on-Mobile-Apps
Blocked-on-Mobile-Web
Blocked-on-Operations
Blocked-on-Parsoid
Blocked-on-Performance
Blocked-on-RelEng
Blocked-on-Search
Blocked-on-Security
Blocked-on-Services
Blocked-on-Wikidata
BlueSky
BlueSpice
Browser-Support-Android-Google-Chrome
Browser-Support-Apple-Safari
Browser-Support-Firefox
Browser-Support-Google-Chrome
Browser-Support-Microsoft-Edge
Browser-Support-Opera
Browser-Tests
CatWatch
CDB
CiteThisPage
codfw-rollout
codfw-rollout-Apr-Jun-2015
Collab-Notifications-Page
Collection
CologneBlue
CommonsMetadata
Community-LearningPatterns
Community-Tech-fixes
Composer
ContentTranslation-Analytics
CopyVio-tools
DataTypes
DataValues
DataValues-JavaScript
Design Research and product team collaboration
Differential-Beta
Diffusion
DNS
Documentation
domains
EasyTimeline
Elasticsearch
Esperanto-Sites
Feature-Parity
First-Demo-Version
Five teams use burnups in FY2016Q3
FormWizard
FR-Adyen
FR-Amazon
FR-Astropay
FR-Ingenico
FR-Otherprocessors
FR-Smashpig
FR-WMF-Audit
freigabe3
fundraising-tech-ops
Gadgets-2.0
GeoData
Gerrit-Patch-Uploader
Gitblit
GitHub-Mirrors
GlobalCssJs
GlobalPreferences
GlobalProfile
GlobalUsage
GlobalUserPage
GoogleLogin
Graphite
Graphoid
GraphViz
grrrit-wm
Horizon
Icinga
ImageMap
ImageMetrics
importbots
ImportUsers
Incident-20141130-eqiad-C4
Incident-20150205-SiteOutage
Incident-20150423-Commons
Incident-20160126-WikimediaDomainRedirection
Incident-Labs-NFS-20151216
Internet-Archive
Interrupt
IPv6
JavaScript
jQuery-Client
Labs-Infrastructure
Labs-Other-Projects
Labs-project-extdist
Labs-project-wikistats
LDAP
Mail
maint-announce
MassMessage
Mathoid
media-storage
MediaWiki-Cache
MediaWiki-Categories
MediaWiki-ContentHandler
MediaWiki-Database
MediaWiki-Debug-Logger
MediaWiki-DjVu
MediaWiki-Documentation
MediaWiki-Email
MediaWiki-extension-requests
MediaWiki-extensions-3d
MediaWiki-extensions-AccessControl
MediaWiki-extensions-AccountAudit
MediaWiki-extensions-AccountInfo
MediaWiki-extensions-ActiveAbstract
MediaWiki-extensions-ActivityMonitor
MediaWiki-extensions-AdminLinks
MediaWiki-extensions-AdvancedRandom
MediaWiki-extensions-AJAX-Poll
MediaWiki-extensions-AjaxLogin
MediaWiki-extensions-Annotator
MediaWiki-extensions-AntiSpoof
MediaWiki-extensions-APC
MediaWiki-extensions-ApiFeatureUsage
MediaWiki-extensions-Babel
MediaWiki-extensions-BlogPage
MediaWiki-extensions-BookManager
MediaWiki-extensions-BounceHandler
MediaWiki-extensions-Calendar
MediaWiki-extensions-Campaigns
MediaWiki-extensions-Capiunto
MediaWiki-extensions-Cards
MediaWiki-extensions-Cargo
MediaWiki-extensions-CategoryOnUpload
MediaWiki-extensions-CategoryStepper
MediaWiki-extensions-CategoryTree
MediaWiki-extensions-CharInsert
MediaWiki-extensions-CLDR
MediaWiki-extensions-CleanChanges
MediaWiki-extensions-CodeMirror
MediaWiki-extensions-CollapsibleVector
MediaWiki-extensions-Commentbox
MediaWiki-extensions-Comments
MediaWiki-extensions-Configure
MediaWiki-extensions-ConfirmAccount
MediaWiki-extensions-ContactPage
MediaWiki-extensions-Contest
MediaWiki-extensions-ContributionScores
MediaWiki-extensions-ContributionTracking
MediaWiki-extensions-Contributors
MediaWiki-extensions-CountEdits
MediaWiki-extensions-CreditsSource
MediaWiki-extensions-CSS
MediaWiki-extensions-CustomData
MediaWiki-extensions-CustomUserSignup
MediaWiki-extensions-DataTransfer
MediaWiki-extensions-DeleteOwn
MediaWiki-extensions-DeletePagesForGood
MediaWiki-extensions-DidYouMean
MediaWiki-extensions-Diff
MediaWiki-extensions-Disambiguator
MediaWiki-extensions-DiscussionThreading
MediaWiki-extensions-DismissableSiteNotice
MediaWiki-extensions-DoubleWiki
MediaWiki-extensions-Drafts
MediaWiki-extensions-DumpHTML
MediaWiki-extensions-DynamicPageList
MediaWiki-extensions-DynamicPageList2
MediaWiki-extensions-DynamicSidebar
MediaWiki-extensions-Editcount
MediaWiki-extensions-EditUser
MediaWiki-extensions-EtherEditor
MediaWiki-extensions-EtherpadLite
MediaWiki-extensions-Examples
MediaWiki-extensions-ExtensionDistributor
MediaWiki-extensions-ExternalData
MediaWiki-extensions-FeaturedFeeds
MediaWiki-extensions-FlaggedRevs
MediaWiki-extensions-FundraiserLandingPage
MediaWiki-extensions-FundraisingChart
MediaWiki-extensions-Gadgets
MediaWiki-extensions-General-or-Unknown
MediaWiki-extensions-GeoCrumbs
MediaWiki-extensions-GettingStarted
MediaWiki-extensions-Git2Pages
MediaWiki-extensions-GlobalBlocking
MediaWiki-extensions-GoogleAppEngine
MediaWiki-extensions-GoogleNewsSitemap
MediaWiki-extensions-GPGMail
MediaWiki-extensions-GuidedTour
MediaWiki-extensions-Hierarchy-Builder
MediaWiki-extensions-HitCounters
MediaWiki-extensions-Html2Wiki
MediaWiki-extensions-ImportArticles
MediaWiki-extensions-ImportFreeImages
MediaWiki-extensions-IndexFunction
MediaWiki-extensions-InputBox
MediaWiki-extensions-Insider
MediaWiki-extensions-Interlanguage
MediaWiki-extensions-Interwiki
MediaWiki-extensions-Josa
MediaWiki-extensions-JsonConfig
MediaWiki-extensions-LabeledSectionTransclusion
MediaWiki-extensions-LanguageSelector
MediaWiki-extensions-LDAP-Authorization
MediaWiki-extensions-LdapAuthentication
MediaWiki-extensions-LinkFilter
MediaWiki-extensions-LiquidThreads
MediaWiki-extensions-Listings
MediaWiki-extensions-LiveTranslate
MediaWiki-extensions-LocalisationUpdate
MediaWiki-extensions-LogEntry
MediaWiki-extensions-LookupUser
MediaWiki-extensions-Lua
MediaWiki-extensions-Mailgun
MediaWiki-extensions-Maintenance
MediaWiki-extensions-MaintenanceShell
MediaWiki-extensions-MapSources
MediaWiki-extensions-MarkAsHelpful
MediaWiki-extensions-MediaFunctions
MediaWiki-extensions-MediaWikiAuth
MediaWiki-extensions-MetadataEdit
MediaWiki-extensions-MsCatSelect
MediaWiki-extensions-MsUpload
MediaWiki-extensions-MultiBoilerplate
MediaWiki-extensions-MultimediaViewer
MediaWiki-extensions-MwEmbedSupport
MediaWiki-extensions-NavigationTiming
MediaWiki-extensions-NSFileRepo
MediaWiki-extensions-OAI
MediaWiki-extensions-OAuthAuthentication
MediaWiki-extensions-OnlineStatus
MediaWiki-extensions-OpenID
MediaWiki-extensions-OpenID-Connect
MediaWiki-extensions-OpenStackManager
MediaWiki-extensions-Other
MediaWiki-extensions-PageCuration
MediaWiki-extensions-PagedTiffHandler
MediaWiki-extensions-PageNotice
MediaWiki-extensions-Patroller
MediaWiki-extensions-PdfBook
MediaWiki-extensions-PdfHandler
MediaWiki-extensions-Persona
MediaWiki-extensions-Petition
MediaWiki-extensions-PhpTags
MediaWiki-extensions-Pluggable-Auth
MediaWiki-extensions-Poem
MediaWiki-extensions-Poll
MediaWiki-extensions-PollNY
MediaWiki-extensions-PoolCounter
MediaWiki-extensions-PostEdit
MediaWiki-extensions-PrefStats
MediaWiki-extensions-Preloader
MediaWiki-extensions-PubSubHubbub
MediaWiki-extensions-QPoll
MediaWiki-extensions-Quiz
MediaWiki-extensions-QuizGame
MediaWiki-extensions-RandomFeaturedUser
MediaWiki-extensions-RandomGameUnit
MediaWiki-extensions-RandomRootPage
MediaWiki-extensions-RecentActivityFeed
MediaWiki-extensions-RelatedArticles
MediaWiki-extensions-RelatedSites
MediaWiki-extensions-RSS
MediaWiki-extensions-SandboxLink
MediaWiki-extensions-Score
MediaWiki-extensions-Screenplay
MediaWiki-extensions-Scribunto
MediaWiki-extensions-SearchExtraNS
MediaWiki-extensions-SecurePasswords
MediaWiki-extensions-SecureSessions
MediaWiki-extensions-Semantic-Dependency
MediaWiki-extensions-Semantic-Rating
MediaWiki-extensions-Semantic-Title
MediaWiki-extensions-SemanticDrilldown
MediaWiki-extensions-SemanticSignup
MediaWiki-extensions-ShortUrl
MediaWiki-extensions-SignupAPI
MediaWiki-extensions-SimpleSAMLphp
MediaWiki-extensions-SiteMatrix
MediaWiki-extensions-SkinPerNamespace
MediaWiki-extensions-SmiteSpam
MediaWiki-extensions-SocialProfile
MediaWiki-extensions-SpamBlacklist
MediaWiki-extensions-SphinxSearch
MediaWiki-extensions-StopForumSpam
MediaWiki-extensions-StringFunctionsEscaped
MediaWiki-extensions-SubPageList
MediaWiki-extensions-SubpageSortkey
MediaWiki-extensions-Survey
MediaWiki-extensions-SwiftCloudFiles
MediaWiki-extensions-SwiftMailer
MediaWiki-extensions-TemplateSandbox
MediaWiki-extensions-TestLanguageNameGrammar
MediaWiki-extensions-Theme
MediaWiki-extensions-Title-Icon
MediaWiki-extensions-TitleBlacklist
MediaWiki-extensions-TitleKey
MediaWiki-extensions-TocTree
MediaWiki-extensions-TorBlock
MediaWiki-extensions-TranslationNotifications
MediaWiki-extensions-Transliterator
MediaWiki-extensions-TwitterCards
MediaWiki-extensions-TwnMainPage
MediaWiki-extensions-TwoFactorAuthentication
MediaWiki-extensions-UploadsLink
MediaWiki-extensions-UrlShortener
MediaWiki-extensions-UserMerge
MediaWiki-extensions-Validator
MediaWiki-extensions-VIKI
MediaWiki-extensions-VikiSemanticTitle
MediaWiki-extensions-VipsScaler
MediaWiki-extensions-VoteNY
MediaWiki-extensions-WikiArticleFeeds
MediaWiki-extensions-WikibaseClient
MediaWiki-extensions-WikibaseMediaInfo
MediaWiki-extensions-WikibaseQuery
MediaWiki-extensions-WikibaseRepository
MediaWiki-extensions-WikibaseView
MediaWiki-extensions-WikiForum
MediaWiki-extensions-WikimediaEvents
MediaWiki-extensions-WikimediaMaintenance
MediaWiki-extensions-WikimediaMessages
MediaWiki-extensions-XAnalytics
MediaWiki-extensions-ZeroBanner
MediaWiki-extensions-ZeroPortal
MediaWiki-File-management
MediaWiki-Gallery
MediaWiki-General-or-Unknown
MediaWiki-History-or-Diffs
MediaWiki-HTMLForm
MediaWiki-Internationalization
MediaWiki-Interwiki
MediaWiki-JobQueue
MediaWiki-JobRunner
MediaWiki-jQuery-Tablesorter
MediaWiki-Page-deletion
MediaWiki-Page-editing
MediaWiki-Page-protection
MediaWiki-Recent-changes
MediaWiki-Revision-deletion
MediaWiki-Search
MediaWiki-Sites
MediaWiki-Templates
MediaWiki-Unit-tests
MediaWiki-Uploading
MediaWiki-User-blocking
MediaWiki-User-login-and-signup
MediaWiki-Watchlist
Metrolook
Modern
Monitoring
MonoBook
MoodBar
MW-1.23-release
MW-1.25-release
MW-1.27-release
MW-1.27-release-notes
Need-volunteer
Needs-user-research
New-Stuff
Newphp
Nimbus
Nodepool
Non-design researcher mentoring
Nostalgia
OCG-General
OCG-PDFRenderer
OpenBadges
Operations
Ops-Access-Reviews
ops-eqiad
ops-esams
ops-ulsfo
ores
Other-skins
PageImages
Pageviews-API
Parsing-Team
Parsoid-Nowiki
Parsoid-Rendering
Parsoid-Robustness
Parsoid-Tokenizer
Parsoid-Web-API
Patch-For-Review
Patch-Needs-Improvement
Performance-Metrics-Dashboard
Persona research
Phabricator-Bot-Requests
Phragile-3.0-release
PronunciationRecording
Puppet
puppet-compiler
Pywikibot-Announce
Pywikibot-archivebot.py
pywikibot-redirect.py
Pywikibot-replace.py
Pywikibot-RfCs
Pywikibot-Thanks
Pywikibot-xmlreader.py
QRpedia-General
RD-2016Q3
Ready-For-Campaign
Regression
Release
ReleaseTaggerBot
releng-201516-q4
Repository-Admins
Repository-Ownership-Requests
Research Ideas
Research-consulting
Research-management
Research-outreach
Responsive-Vector
RESTBase-API
RESTBase-architecture
RESTBase-Cassandra
restbase-release-1.0
RevSlider
RfC
rsaas-editquality
Ruby
scap
Schema-change
Security-Core
Security-General
SEO
Service-Architecture
service-runner
service-template-node
Services-next
Shinken
ShoutWiki
Social-Tools
Source-Metadata
Story
sysadmin-notice
TemplateStyles
TestMe
TextExtracts
Thanks
Thumbor
TimedMediaHandler-TimedText
TimedMediaHandler-Transcode
Tool-Labs-tools-Article-request
Tool-Labs-tools-Database-Queries
Tool-Labs-tools-Erwin's-tools
Tool-Labs-tools-Global-user-contributions
Tool-Labs-tools-Matthewrbowker's-tools
Tool-Labs-tools-Other
Tool-Labs-tools-Quentinv57's-tools
TPG-2016Q4-Assess-Skills
TPG-2016Q4-Measure-Light-Engagement
TPG-2016Q4-Support-Quarterly
TPG-Essential-Functions
TranslateSvg
Triagers
UI-2016Q2
Unofficial-Apps-Wikipedia-Firefox-OS
Unofficial-Apps-Wikipedia-Windows-8
Unplanned-Sprint-Work
UploadWizard
utfnormal
Utilities-code-utils
Utilities-mwdumper
ValueView
Varnish
Verified
Verified-in-Phase1
Verified-in-Phase2
VisualEditor-ContentEditable
VisualEditor-ContentLanguage
VisualEditor-CopyPaste
VisualEditor-DataModel
VisualEditor-EditingTools
VisualEditor-Initialisation
VisualEditor-MediaWiki-Links
VisualEditor-MediaWiki-Media
VisualEditor-MediaWiki-Mobile
VisualEditor-MediaWiki-Plugins
VisualEditor-MediaWiki-Templates
vm-requests
Voice & Tone
Vuln-DoS
Vuln-Inject
Vuln-MissingAuthz
Vuln-XSS
whatcanidoforwikimedia.org
Wiki-Loves-Art-2016-NL
Wikibase-DataModel
Wikibase-DataModel-JavaScript
Wikibase-DataModel-Release-6.0.0
Wikibase-DataModel-Serialization
Wikibase-Internal-Serialization
Wikibase-JavaScript-Api
Wikibase-Serialization-JavaScript
WikibaseDatabase
WikibaseQueryEngine
Wikidata-Periodic-Table
Wikidata.org
wikidiff2
WikiHiero
WikiLove
Wikimania-Hackathon-2016
Wikimania-Hackathon-2016-Organization
Wikimedia-Bugzilla
Wikimedia-Interwiki-links
Wikimedia-IRC-RC-Server
Wikimedia-Shop
Wikimedia-Video
WikimediaPageViewInfo
Wikipedia-App-General-or-Unknown
Wikipedia-App-MobileApp-extension
WikiProject-tools
Wikispeech
Wikispeech-API
Wikispeech-NewLanguages
Wikispeech-Recording
wikitech.wikimedia.org
WM-Bot
WMDE-TCC-Goal-2015-Outreach
WMDE-Tech-Communication-Communications
WMDE-Tech-Communication-Data-Partnerships
WMDE-Tech-Communication-Mentoring-And-Events
WMDE-Tech-Communication-Source-Code-Berlin
WMF FR
WMF-NDA
WMF-Server-Backports
WMUA-Community-Support
WMUA-Contests
WMUA-WLE-2015
WorkType-Maintenance
WorkType-NewFunctionality
xTools-on-Labs

I would disagree about bulk removing workboards from projects. Removing workboards would create a serious use-ability backwoods step in the ability to display a list of all tasks in one screen.

Even if we global add a link to a open tasks search (same as the old project sidebar several versions ago), The search view is still a backwoods step compared to the view that a workboard (even with a single column) produces.

Aklapper removed Aklapper as the assignee of this task.May 2 2016, 6:16 AM

Thank you for the list (and merging that patch), Daniel!
Unassigning as this is more controversial than expected as per previous comment.

Danny_B added a subscriber: Danny_B.May 9 2016, 5:21 AM
Danny_B changed the task status from Open to Stalled.Jun 3 2016, 2:30 AM

Actuall I think having a workbored helps since you carn't go through tons of tasks by looking at the recent history for that project.

You can make sure you aren't redirected to workbored first though.

But I think we should be creating the workboreds instead of deleting them since deleting them will mean making it hard to find tasks to work on.

Dzahn added a comment.Jun 3 2016, 7:21 PM

Actuall I think having a workbored helps since you carn't go through tons of tasks by looking at the

You subscribe to the projects or individual tasks you want updates for, switch notifications to web ui and then you read your notifications via "unread notifications" they are all in a nice list. That's what i do and i don't feel like i need workboards for that. just my 2 cents

Danny_B closed this task as Declined.Jul 9 2016, 12:01 AM

Nowadays workboards can be

  • unset from being a default page when clicking on tag
  • removed from project sidebar
  • disabled

No need to permanently destroy existing data which may become useful somewhen in future.

Nemo_bis reopened this task as Open.Aug 14 2016, 1:59 PM
Nemo_bis added a subscriber: Nemo_bis.

No data loss would result from what is asked here.

Nemo_bis updated the task description. (Show Details)Aug 14 2016, 2:06 PM
Danny_B closed this task as Declined.Aug 14 2016, 2:27 PM
Danny_B updated the task description. (Show Details)
Nemo_bis reopened this task as Open.Aug 14 2016, 3:21 PM
Nemo_bis updated the task description. (Show Details)Aug 14 2016, 3:24 PM
Nemo_bis updated the task description. (Show Details)
Danny_B added a comment.EditedAug 14 2016, 4:16 PM

Reasons for declining the task:

  • it requires direct database deletion which is not going to be performed (it would require complex scripting at first and would be data loss and adulteration of history)
  • several people spoken up against deleting or even disabling workboards as they use them for their work
  • various solutions have been mentioned in T105865#2443399

Please explain the reasons why you keep reopening the task. Thank you.

Dzahn removed a subscriber: Dzahn.Aug 14 2016, 4:44 PM
Aklapper moved this task from Need discussion to Misc on the Phabricator board.Oct 7 2016, 4:40 PM
Aklapper closed this task as Declined.Feb 26 2018, 8:52 AM

Again, anyone could disable unused workboards in their projects. This does not require any Phab admin time.